Subject: bug#76712: closed (Re: [PATCH 1/7] gnu: vips: Build with OpenEXR 3.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 04 May 2025 23:52:02 +0000

Your bug report

#76712: [PATCH 0/7] Refactor and update libvips-related packages

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
76712: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=76712
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH 1/7] gnu: vips: Build with OpenEXR 3.
From: Vinicius Monego <[email-masked]>
To: Andreas Enge <[email-masked]>
Cc: [email-masked]
Date: Sun, 4 May 2025 23:51:42 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Em 01/05/2025 04:11, Andreas Enge escreveu:
> Hello Vinicius,

Hello Andreas,

> would you like to take up this patch set again?
> There is a slightly newer patch release of vips.
>
> Concerning propagated inputs, I am not sure whether moving is the
> correct approach. I understood that packages required during build
> additionally need to be present as regular inputs. But this should
> be easy to test. In any case, it would be helpful to add a comment
> why inputs are propagated (for instance, a reference to the vips.pc
> file).

I'm not sure whether this is documented, but it seems to be the common 
procedure. e.g. openexr propagates its private inputs (libdeflate and 
imath). I added a comment in vips on why those inputs are being propagated.

> Since you have commit rights, please feel free to push the patches
> yourself once you have made sure that all depending packages build.
>
> Thanks,
>
> Andreas
>
Done and pushed the series except for the last patch (will rethink it), 
thanks.

Subject: [PATCH 0/7] Refactor and update libvips-related packages
From: Vinicius Monego <[email-masked]>
To: [email-masked]
Cc: Vinicius Monego <[email-masked]>
Date: Mon, 3 Mar 2025 13:59:25 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Vinicius Monego (7):
  gnu: vips: Build with OpenEXR 3.
  gnu: vips: Update to 8.16.0.
  gnu: vips: Propagate inputs to satisfy vips.pc.
  gnu: nip2: Remove inputs propagated from vips.
  gnu: nip2: Update to 8.9.1.
  gnu: python-pyvips: Update to 2.2.3.
  gnu: python-scooby: Update to 0.10.0.

 gnu/packages/image-processing.scm |  52 +++-----------
 gnu/packages/python-xyz.scm       | 112 +++++++++++++-----------------
 2 files changed, 59 insertions(+), 105 deletions(-)

base-commit: e7b87dcde25b5ef278441d6ea42a7f662fe6d53f
-- 
2.48.1